-- Options.lua : Options config

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local _G = _G
local Guilder = _G.Guilder
local Guilder_Dumper= Guilder:GetModule("Dumper")
local L = Guilder.L

Guilder_Dumper:SetGlobalOptionsFunction(function(self)
	return "div", {
		type = "group",
		name = L["Roster Dumper Settings"],
		desc = "",
		inline = true,
		args = {
			desc = {
				type = "description",
				name = L["Roster Dumper allows you to dump the whole guild list into a text box in a delimited format. You can then copy and paste the information into a spreadsheet."],
				order = 1
			},
			sortBy = {
				type = "select",
				name = L["Sort By"],
				desc = L["How do you want the list sorted?"],
				order = 2,
				values = { ["CLASS"] = L["Class"], ["NAME"] = L["Name"], ["LEVEL"] = L["Level"], ["RANK"] = L["Rank"] },
				get = function() return self.db.profile.sortBy end,
				set = function(info, v) self.db.profile.sortBy = v end
			},
			delimiter = {
				type = "select",
				name = L["Delimiter"],
				desc = L["Should the fields be seperated by a comma or a tab?"],
				order = 3,
				values = { [0] = L["Comma"], [1] = L["Tab"] },
				get = function() return self.db.profile.delimiter end,
				set = function(info, v) self.db.profile.delimiter = v end
			},
			generate = {
				type = "execute",
				name = L["Generate List"],
				desc = L["Generates the list and places it in the box below"],
				order = 4,
				func = function() self:GenerateList() end
			},
			h1 = {
				type = "header",
				name = L["Information to Include"],
				order = 10
			},
			rank = {
				type = "toggle",
				name = L["Rank"],
				desc = L["Include the rank in the list"],
				order = 11,
				get = function() return self.db.profile.rank end,
				set = function(info, v) self.db.profile.rank = v end
			},
			rankIndex = {
				type = "toggle",
				name = L["Rank Index"],
				desc = L["Include the rank index in the list"],
				order = 12,
				get = function() return self.db.profile.rankIndex end,
				set = function(info, v) self.db.profile.rankIndex = v end
			},
			level = {
				type = "toggle",
				name = L["Level"],
				desc = L["Include the level in the list"],
				order = 13,
				get = function() return self.db.profile.level end,
				set = function(info, v) self.db.profile.level = v end
			},
			class = {
				type = "toggle",
				name = L["Class"],
				desc = L["Include the class in the list"],
				order = 14,
				get = function() return self.db.profile.class end,
				set = function(info, v) self.db.profile.class = v end
			},
			note = {
				type = "toggle",
				name = L["Note"],
				desc = L["Include the note in the list"],
				order = 15,
				get = function() return self.db.profile.note end,
				set = function(info, v) self.db.profile.note = v end
			},
			officerNote = {
				type = "toggle",
				name = L["Officer Note"],
				desc = L["Include the officer note in the list"],
				order = 16,
				get = function() return self.db.profile.officerNote end,
				set = function(info, v) self.db.profile.officerNote = v end
			},
			timeOffline = {
				type = "toggle",
				name = L["Time Offline"],
				desc = L["Time since the player was last online, in hours"],
				order = 17,
				get = function() return self.db.profile.timeOffline end,
				set = function(info, v) self.db.profile.timeOffline = v end
			},
			h2 = {
				type = "header",
				name = "",
				order = 20
			},
			list = {
				type = "input",
				name = L["Guild Roster"],
				desc = L["Select all the text in the box by clicking on it and pressing Ctrl-A. Copy the text with Ctrl-C."],
				order = 21,
				multiline = true,
				width = "full",
				get = function() return self.guildRoster end,
				set = function() end
			}
		}
	}
end)
