-- Options.lua : Options config

if select(6, GetAddOnInfo("Guilder_" .. (debugstack():match("[o%.][d%.][u%.]les\\(.-)\\") or ""))) ~= "MISSING" then return end

local _G = _G
local Guilder = _G.Guilder
local Guilder_Share = Guilder:GetModule("Share")
local L = Guilder.L

Guilder_Share:SetGlobalOptionsFunction(function(self)
	return "div", {
		type = "group",
		name = L["Quick Share Settings"],
		desc = "",
		inline = true,
		args = {
			desc = {
				type = "description",
				name = L["Quick Share allows you to send a note to a player in the guild, party or raid. This can be anything, but if it is a macro, it can be saved to your macros. Please note that only another person with Guilder installed will be able to receive your notes."],
				order = 0
			},
			who = {
				type = "select",
				name = L["Player"],
				desc = L["Name of the player who you want to share the information with"],
				order = 1,
				values = {},
				get = function() return self.db.profile.player end,
				set = function(info, v) self.db.profile.player = v end
			},
			send = {
				type = "execute",
				name = L["Send"],
				desc = L["Send the note to the selected player"],
				order = 2,
				func = function() self:SendNote() end
			},
			clear = {
				type = "execute",
				name = L["Clear"],
				desc = L["Clear all the options on this screen"],
				order = 3,
				func = function()
					self.db.profile.player = ""
					self.db.profile.title = ""
					self.db.profile.note = ""
					self.db.profile.location = 0
					self.db.profile.macro = ""
				end
			},
			title = {
				type = "input",
				name = L["Title"],
				desc = L["Enter the title for your note here.\nNote: Make sure to press [Enter] or click Okay."],
				order = 4,
				width = "full",
				get = function() return self.db.profile.title end,
				set = function(info, v) self.db.profile.title = v end
			},
			note = {
				type = "input",
				name = L["Note"],
				desc = L["Enter your note here. Make sure to click Accept when you're done.\nNote: You can use copy (Ctrl-C) and paste (Ctrl-V) as well."],
				order = 5,
				multiline = true,
				width = "full",
				get = function() return self.db.profile.note end,
				set = function(info, v) self.db.profile.note = v end
			},
			h1 = {
				type = "header",
				name = L["Save to a Macro"],
				order = 6
			},
			location = {
				type = "select",
				name = L["Location"],
				desc = L["Is this a general or character macro?"],
				order = 7,
				values = { [0] = L["General Macros"], [1] = L["%s Specific Macros"]:format(myName) },
				get = function() return self.db.profile.location end,
				set = function(info, v) self.db.profile.location = v end
			},
			macro = {
				type = "input",
				name = L["Macro Name"],
				desc = L["Enter a name for the macro here.\nNote: The name can only be a maximum of 16 characters long."],
				order = 8,
				get = function() return self.db.profile.macro end,
				set = function(info, v) self.db.profile.macro = v end,
				validate = function(info, v)
					if string.len(v) > 16 then
						return L["The name can only be a maximum of 16 characters long."]
					else
						return true
					end
				end
			},
			copy = {
				type = "execute",
				name = L["Create/Update Macro"],
				desc = L["Click here to create or update the macro.\nNote: If the macro exists already, it will be overwritten!"],
				order = 9,
				func = function() self:CreateMacro() end,
				confirm = true,
				confirmText = L["Are you sure you want to create the macro?"]
			}
		}
	}
end)
